clang 10.0.0git

Macros
IvarInvalidationChecker.cpp File Reference
`#include "clang/StaticAnalyzer/Checkers/BuiltinCheckerRegistration.h"`
`#include "clang/AST/Attr.h"`
`#include "clang/AST/DeclObjC.h"`
`#include "clang/AST/StmtVisitor.h"`
`#include "clang/StaticAnalyzer/Core/BugReporter/BugReporter.h"`
`#include "clang/StaticAnalyzer/Core/Checker.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/AnalysisManager.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/SetVector.h"`
`#include "llvm/ADT/SmallString.h"`
Include dependency graph for IvarInvalidationChecker.cpp:

Go to the source code of this file.

## Macros
#define | REGISTER_CHECKER(name)

## Macro Definition Documentation

## ◆ REGISTER_CHECKER

#define REGISTER_CHECKER | ( |  | name | ) |

Value:
void ento::register##name(CheckerManager &mgr) { \
IvarInvalidationChecker *checker = \
mgr.getChecker<IvarInvalidationChecker>(); \
checker->Filter.check_##name = true; \
checker->Filter.checkName_##name = mgr.getCurrentCheckerName(); \
} \
\
bool ento::shouldRegister##name(const LangOptions &LO) { return true; }
clang::LangOptions
Keeps track of the various options that can be enabled, which controls the dialect of C or C++ that i...
Definition: LangOptions.h:53
clang::transformer::name
RangeSelector name(std::string ID)
Given a node with a "name", (like NamedDecl, DeclRefExpr or CxxCtorInitializer) selects the name&#39;s to...
Definition: RangeSelector.cpp:186

Definition at line 746 of file IvarInvalidationChecker.cpp.